Ads
Enable or disable Ads conversion rule
Toggles whether a conversion rule is active without changing its other fields.
PATCH
/
v1
/
ads
/
conversion-rules
/
{id}
/
status
Enable or disable Ads conversion rule
curl --request PATCH \
--url https://app.chatbotx.io/api/v1/ads/conversion-rules/{id}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://app.chatbotx.io/api/v1/ads/conversion-rules/{id}/status"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://app.chatbotx.io/api/v1/ads/conversion-rules/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"channel": "whatsapp",
"integrationWhatsappId": "<string>",
"integrationFacebookAdsId": "<string>",
"integrationMessengerId": "<string>",
"integrationInstagramId": "<string>",
"adAccountId": "<string>",
"eventType": "lead",
"trigger": {
"type": "templateSent",
"templateIds": [
"<string>"
]
},
"markAs": "<string>",
"enabled": true
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "notFound",
"status": 404,
"message": "Resource not found",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Ads conversion rule id. Get it from ads.listRules.
Pattern:
^\d+$Body
application/json
Whether the rule should be active.
Response
OK
Pattern:
^\d+$Available options:
whatsapp, facebook, messenger, instagram Pattern:
^\d+$Pattern:
^\d+$Pattern:
^\d+$Pattern:
^\d+$Available options:
lead, purchase - Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Enable or disable Ads conversion rule
